CentOS 7: java-1.8.0-openjdk (CESA-2022: 5698)

high Nessus プラグイン ID 163749

概要

リモートの CentOS Linux ホストに1つ以上のセキュリティ更新プログラムが欠落しています。

説明

リモート CentOS Linux 7 ホストにインストールされているパッケージは、CESA-2022: 5698 アドバイザリに記載されている複数の脆弱性の影響を受けます。

- OpenJDK: クラスのコンパイルの問題 (Hotspot、8281859) (CVE-2022-21540)

- OpenJDK: MethodHandle.invokeBasic() の不適切な制限 (Hotspot、8281866) (CVE-2022-21541)

- OpenJDK: Xalan-J での整数切り捨ての問題 (JAXP, 8285407) (CVE-2022-34169)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.nessus.org/u?7b20398e

プラグインの詳細

深刻度: High

ID: 163749

ファイル名: centos_RHSA-2022-5698.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2022/8/2

更新日: 2022/8/31

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.9

ベクトル: AV:N/AC:L/Au:N/C:N/I:P/A:N

現状ベクトル: E:POC/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-34169

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:centos:centos:java-1.8.0-openjdk, p-cpe:/a:centos:centos:java-1.8.0-openjdk-accessibility, p-cpe:/a:centos:centos:java-1.8.0-openjdk-demo, p-cpe:/a:centos:centos:java-1.8.0-openjdk-devel, p-cpe:/a:centos:centos:java-1.8.0-openjdk-headless, p-cpe:/a:centos:centos:java-1.8.0-openjdk-javadoc, p-cpe:/a:centos:centos:java-1.8.0-openjdk-javadoc-zip, p-cpe:/a:centos:centos:java-1.8.0-openjdk-src, cpe:/o:centos:centos:7

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2022/8/2

脆弱性公開日: 2022/7/19

参照情報

CVE: CVE-2022-21540, CVE-2022-21541, CVE-2022-34169

RHSA: 2022:5698

CWE: 192, 284, 402